Moving from 4.0 (Beta 1) to 3.1.3?

Toximityx

macrumors newbie
Original poster
Apr 8, 2010
4
0
Hello all,

Super excitement and transition to 4.0 on my 3G but I train a lot so try a DFU and restore, but alas the error "error = 1015" appears at the end of the restored thus:

Error 1015: This error appears when attempting to upgrade to an older version of the iPhone or iPod touch. This may occur when you try to perform a restore using an old file. Ipsw. The upgrade to an earlier version is not supported. To resolve this problem, try performing a restore using the latest version of the software of the iPhone or iPod touch available from Apple.

Not possible .. The trouble comes from the baseband I suppose?

(French User) :rolleyes:
 

dhlizard

macrumors G4
Mar 16, 2009
10,214
118
The Jailbreak Community
Hello all,

Super excitement and transition to 4.0 on my 3G but I train a lot so try a DFU and restore, but alas the error "error = 1015" appears at the end of the restored thus:

Error 1015: This error appears when attempting to upgrade to an older version of the iPhone or iPod touch. This may occur when you try to perform a restore using an old file. Ipsw. The upgrade to an earlier version is not supported. To resolve this problem, try performing a restore using the latest version of the software of the iPhone or iPod touch available from Apple.

Not possible .. The trouble comes from the baseband I suppose?

(French User) :rolleyes:
Others (the hackers) have stated you cannot downgrade from 4.0 back to 3.1.3.
 

AppleHack23

macrumors member
Apr 7, 2010
88
0
New Jersey
You need to restore the device again the same way after you got the 1015 error, if you get it again, you're good. Now, you need to install some things, I only have the Mac version available, sorry if you use Windows. Go to http://www.applehack23.com/AppleHack23/Downloads.html, and find iRecovery, and libusb, (libusb for your operating system). Once those are installed go to http://www.applehack23.com/AppleHack23/iRecovery_Commands.html

Hope this helps!

*EDIT

Oh I'm sorry, iClarified said to Jailbreak with redSn0w after the second 1015 error. But I guess its running the same commands.
 

Toximityx

macrumors newbie
Original poster
Apr 8, 2010
4
0
Hello,

Thks for you responses... I'm registered of the Developer of course :D

I go to try the solution from AppleHack23

Thks
 

ltldrummerboy

macrumors 68000
Oct 15, 2007
1,535
9
There shouldn't be a problem downgrading as long as I've got my SHSH files backed up, right?
 

robcatto

macrumors newbie
Nov 4, 2009
6
0
Hello all,

Super excitement and transition to 4.0 on my 3G but I train a lot so try a DFU and restore, but alas the error "error = 1015" appears at the end of the restored thus:

Error 1015: This error appears when attempting to upgrade to an older version of the iPhone or iPod touch. This may occur when you try to perform a restore using an old file. Ipsw. The upgrade to an earlier version is not supported. To resolve this problem, try performing a restore using the latest version of the software of the iPhone or iPod touch available from Apple.

Not possible .. The trouble comes from the baseband I suppose?

(French User) :rolleyes:
Hey hows it going :)

Unfortunately I did the same thing and upgraded to 4.0 beta, not knowing that i would be stuck with the message "Your iPhone is not registered with the Dev program" and my iPhone would be useless because I didn't sign up my iPhone for the Dev Program.

(Your case may be slightly different if you were registered but downgrading should work all the same)

Anyways after fiddling round I found that I could downgrade by doing this

1. Put your iPhone into recovery mode by

-Plugging your iPhone into your computer/iTunes
-Holding the Home and Sleep button for exactly 10 seconds
-Then release the Sleep button but keep holding the Home button (the round one)
-Keep holding the Home until iTunes finds an iPhone in recovery mode.

2. Restore to the firmware you wish by pressing the restore button

-I myself restored the firmware to 3.1.2

3. You will receive the error 1015.

-Do not click out of the error message
-Use the appropriate jailbreak for the firmware you have downgraded to (I used blackra1n)
-This returns my iPhone to 3.1.2 (Jailbroken)

4. Restore iPhone to 3.1.3 or 3.1.2 to remove the Jailbreak

Hope this works :)
 

mcmonkiez

macrumors member
Jan 11, 2009
84
0
Hey hows it going :)

Unfortunately I did the same thing and upgraded to 4.0 beta, not knowing that i would be stuck with the message "Your iPhone is not registered with the Dev program" and my iPhone would be useless because I didn't sign up my iPhone for the Dev Program.

(Your case may be slightly different if you were registered but downgrading should work all the same)

Anyways after fiddling round I found that I could downgrade by doing this

1. Put your iPhone into recovery mode by

-Plugging your iPhone into your computer/iTunes
-Holding the Home and Sleep button for exactly 10 seconds
-Then release the Sleep button but keep holding the Home button (the round one)
-Keep holding the Home until iTunes finds an iPhone in recovery mode.

2. Restore to the firmware you wish by pressing the restore button

-I myself restored the firmware to 3.1.2

3. You will receive the error 1015.

-Do not click out of the error message
-Use the appropriate jailbreak for the firmware you have downgraded to (I used blackra1n)
-This returns my iPhone to 3.1.2 (Jailbroken)

4. Restore iPhone to 3.1.3 or 3.1.2 to remove the Jailbreak

Hope this works :)


when you restore on old firmware how apple let you downgrade via itunes?> does not check ur ECUID id or something?
 

ste1164

macrumors 6502a
Jan 4, 2009
732
3
Do you have an english tutorial a friend has done this to his 3G and wants to get it back.
 

pkdoyle

macrumors member
Mar 22, 2010
70
0
Plano, TX
Ok this is probably a stupid question but, can a developer with iPhone at 3.1.3 upgrade to 4.0 beta and then downgrade to 3.1.2?
 

gokulagiridaran

macrumors newbie
Feb 6, 2006
5
0
You need to restore the device again the same way after you got the 1015 error, if you get it again, you're good. Now, you need to install some things, I only have the Mac version available, sorry if you use Windows. Go to http://www.applehack23.com/AppleHack23/Downloads.html, and find iRecovery, and libusb, (libusb for your operating system). Once those are installed go to http://www.applehack23.com/AppleHack23/iRecovery_Commands.html

Hope this helps!

*EDIT

Oh I'm sorry, iClarified said to Jailbreak with redSn0w after the second 1015 error. But I guess its running the same commands.


Thanks mate.. This worked.
 

AppleHack23

macrumors member
Apr 7, 2010
88
0
New Jersey
Ok this is probably a stupid question but, can a developer with iPhone at 3.1.3 upgrade to 4.0 beta and then downgrade to 3.1.2?
Actually no its not a stupid question. I was wondering this myself, because I think it would be good so developers can test their apps on older firmwares, so it works for people who haven't updated yet, or who don't have a computer.
 

upaymeifixit

macrumors 6502a
Feb 13, 2009
787
1
I wrote a tutorial on how to downgrade (in english :D) Hopefully that will help most of the people who have run into that wall. As far as I know, iTunes will not let you downgrade, developer or not. If someone would like to try my tutorial I would love to get some feedback on it.
 

ltldrummerboy

macrumors 68000
Oct 15, 2007
1,535
9
Here was the process I used to revert to 3.1.3 on an early bootrom 3GS with my SHSH files previously backed up to Cydia.

1. Enter recovery mode and restore to 3.1.2.
2. On finish encounter something like error 1015. Use iRecovery to exit recovery mode.
3. Jailbreak using Blackra1n.
4. Use PwnageTool to create a custom 3.1.3 firmware.
5. Enter recovery mode and restore using said custom 3.1.3 firmware.

And done. The custom 3.1.3 firmware restore kept failing if I wasn't already jailbroken. iTunes would always freeze on "preparing iPhone for restore" if I skipped the 3.1.2 and Blackra1n steps.
 

upaymeifixit

macrumors 6502a
Feb 13, 2009
787
1
Here was the process I used to revert to 3.1.3 on an early bootrom 3GS with my SHSH files previously backed up to Cydia.
...
And done. The custom 3.1.3 firmware restore kept failing if I wasn't already jailbroken. iTunes would always freeze on "preparing iPhone for restore" if I skipped the 3.1.2 and Blackra1n steps.
Did you try the post right above yours?